GET /messaging/v1/sms/messages/?type=notSent
Overview
Gets a paginated list of messages that were not sent, ordered from oldest to newest.
URL Parameters
| Name |
Type |
|
Description |
| type | string | Required | Only notSent is supported. |
| $pageSize | integer | | Number of messageKeys (array elements) to return per response page. |
| lastEventId | integer | | Event ID from which you want the response to start. To obtain the initial event ID, submit a request without a lastEventId. The events in the response are listed top to bottom from oldest to newest. |
Usage
Example Request
Host: https:
GET /messaging/v1/sms/messages/?type=notSent&$pagesize=20&lastEventId=35759
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
Example Response
HTTP/1.1 200 OK
{
"lastEventID": 35774,
"messages": [
{
"statusCode": 24,
"statusMessage": "Error Message",
"eventCategoryType": "TransactionalSendEvents.SMSNotSent",
"timestamp": "2018-12-17T13:05:40.947",
"definitionKey": "account-reset",
"eventID": 35760,
"info": {
"messageKey": "2iQNfGHj2UqTalK9x2gPow",
"contactKey": "example1",
}
}
],
"count": 1
}
HTTP Responses
| Response |
Reason |
| 200 OK |
Success. Review example response. |
| 400 Bad Request |
Invalid request |
| 401 Unauthorized |
Failed to pass authorization. |
| 500 Server Error |
Internal error |
Last Updated: Jun 8, 2021